package tests;

import static org.junit.Assert.*;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashSet;

import org.junit.Test;

import model.RecursiveMethods;

public class Tests {

	@Test
	public void test_climb_strategies() {
	    RecursiveMethods rm = new RecursiveMethods();
	    HashSet<ArrayList<Integer>> output = rm.climbStrategies(4, 2); 
	    assertEquals(5, output.size());
	    assertTrue(output.contains(Arrays.asList(1, 1, 1, 1)));
	    assertTrue(output.contains(Arrays.asList(1, 1, 2)));
	    assertTrue(output.contains(Arrays.asList(1, 2, 1)));
	    assertTrue(output.contains(Arrays.asList(2, 1, 1)));
	    assertTrue(output.contains(Arrays.asList(2, 2)));
	}

}
